
Auto Multiple Choice - Bug # 840: ! LaTeX Error: File `automultiplechoice.sty' not found.

Status: Closed Priority: Normal
Author: Josef Eiglsperger Category: Installation
Created: 07/13/2022 Assignee:
Updated: 07/14/2022 Due date:
Description: I get this error when trying out the example of the english documentation. I read that this also occured in older 

versions of AMC but I use 1.4.0-4ubuntu1. Does anyone else have this problem? I also tried uninstalling and 
reinstalling AMC.

History
07/13/2022 03:30 pm - Alexis Bienvenüe
- Category changed from LaTeX to Installation

This is a problem related to installation. We need much more details about your setup and installation process.

07/13/2022 03:37 pm - Josef Eiglsperger
Alexis Bienvenüe wrote:
> This is a problem related to installation. We need much more details about your setup and installation process.

I use 20.04.4 LTS (Focal Fossa).
I installed auto-multiple-choice, auto-muliple-choice-commo, and auto-multiple-choice-doc with synaptic.
Before that I installed it with apt-get install auto-multiple-choice, but as this resulted in the same error, I purged it and installed it again with synaptic.
What else details do you need?

07/13/2022 03:59 pm - Alexis Bienvenüe
Can you try this command in a terminal and report the output?

  dpkg -l 'auto-mult*'

07/13/2022 04:02 pm - Josef Eiglsperger
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name                         Version        Architektur  Beschreibung
+++-============================-==============-============-=======================================================
=
ii  auto-multiple-choice         1.4.0-4ubuntu1 amd64        Auto Multiple Choice - multiple choice papers management
ii  auto-multiple-choice-common  1.4.0-4ubuntu1 all          Auto Multiple Choice - architecture independent files
ii  auto-multiple-choice-doc     1.4.0-4ubuntu1 all          Auto Multiple Choice - HTML documentation
ii  auto-multiple-choice-doc-pdf 1.4.0-4ubuntu1 all          Auto Multiple Choice - PDF documentation

07/13/2022 04:16 pm - Alexis Bienvenüe
So @auto-multiple-choice@ and @auto-multiple-choice-common@ seem to be installed, which is good.
Can you try the following commands, to check that the style file is installed and well registered by latex?
<pre>
locate automultiplechoice.sty
kpsewhich automultiplechoice.sty
</pre>
07/13/2022 04:24 pm - Josef Eiglsperger
josef@josef-ThinkPad-E14-Gen-3:~$ locate automultiplechoice.sty
/usr/share/texmf/tex/latex/AMC/automultiplechoice.sty
josef@josef-ThinkPad-E14-Gen-3:~$ kpsewhich automultiplechoice.sty
josef@josef-ThinkPad-E14-Gen-3:~$ 

kpsewhich automultiplechoice.sty returns nothing.

07/13/2022 04:29 pm - Alexis Bienvenüe
So the style file is present but not found by latex.
Can you try to tell latex to rebuild its databases, and try again?

  sudo mktexlsr

07/13/2022 04:34 pm - Josef Eiglsperger
I executed the command:
@josef@josef-ThinkPad-E14-Gen-3:~$ sudo mktexlsr
mktexlsr: Updating /usr/local/share/texmf/ls-R... 
mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVEDIST... 
mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN... 
mktexlsr: Updating /var/lib/texmf/ls-R... 
mktexlsr: Done.@
But still @! LaTeX Error: File `automultiplechoice.sty' not found.@

07/13/2022 04:44 pm - Alexis Bienvenüe
Do you have several versions of latex installed? Try

  where latex mktexlsr kpsewhich

07/14/2022 07:51 am - Josef Eiglsperger
<pre>
josef@josef-ThinkPad-E14-Gen-3:~$ whereis latex mktexlsr kpsewhich
latex: /usr/bin/latex /home/josef/bin/latex /usr/share/man/man1/latex.1.gz
mktexlsr: /usr/bin/mktexlsr /home/josef/bin/mktexlsr /usr/share/man/man1/mktexlsr.1.gz
kpsewhich: /usr/bin/kpsewhich /home/josef/bin/kpsewhich /usr/share/man/man1/kpsewhich.1.gz
</pre>

07/14/2022 09:30 am - Alexis Bienvenüe
So you've got two different latex installed: one in @/usr/bin@ (this comes from the texlive packages, which AMC depends on), and one in 
@/home/josef@ (manually installed).
Your @PATH@ environment variable has @/home/josef/bin@ first, so when you simply type @latex@, you call @/home/josef/bin/latex@. But AMC 
installed @automultiplechoice.sty@ in @/usr/bin@, so latex does not see it.

* Do you really need your latex version in @/home/josef@? If not, simply uninstall it, and AMC will be happy again.

* If you need the particular version of latex installed in @/home/josef@, you have two options:

  * If you want to also keep latex from texlive, you can make a link from the place where @/home/josef/bin/latex@ stores tex files to 
@/usr/share/texmf/tex/latex/AMC/automultiplechoice.sty@
  * If you want to drop texlive's latex, have a look at point 4 of https://tug.org/texlive/debian.html#vanilla

07/14/2022 12:27 pm - Josef Eiglsperger
Thank you so much. The problem was I unnecessarily installed miktex additional to livetex. I now uninstalled miktex and it works fine now!

07/14/2022 12:39 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Excellent!
